# Generated by Django 2.0.5 on 2022-06-23 07:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0106_auto_20220519_1208'),
        ('sales', '0011_auto_20220614_1104'),
    ]

    operations = [
        migrations.CreateModel(
            name='AgreementMarginSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('margin_limit', models.IntegerField(default=25)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='agreement_margin_settings', to='accounts.Provider')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='agreementmarginsettings',
            unique_together={('provider', 'margin_limit')},
        ),
    ]
